# Componere\Abstract\Definition::addTrait

(Componere 2 >= 2.1.0)

Componere\Abstract\Definition::addTrait — Ajoute un trait

### Description

public Componere\Abstract\Definition::addTrait(string `$trait`): Definition

Utilise le trait pour la définition courante

### Liste de paramètres

`trait`

  Le nom insensible à la casse d'un trait

### Valeurs de retour

La définition courante

### Exceptions

Avertissement

Lancera une RuntimeException si la Definition a été enregistrée